Index: src/Makefile.CRAY
===================================================================
--- src/Makefile.CRAY	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ src/Makefile.CRAY	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
@@ -10,9 +10,4 @@
 .SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
            .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-#GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib1.12.3//include
-#GRIB_API_LIB=-openmp -L/usr/local/gcc-4.9.3/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-#EMOSLIB=-lemosR64
 
 OPT	= 
@@ -52,6 +47,6 @@
 	$(F90C) -c -g -O3 ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/$(EXE):	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/$(EXE) ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: src/Makefile.gfortran
===================================================================
--- src/Makefile.gfortran	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ src/Makefile.gfortran	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
@@ -10,9 +10,4 @@
 .SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
            .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-#GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib1.12.3//include
-#GRIB_API_LIB=-openmp -L/usr/local/gcc-4.9.3/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-#EMOSLIB=-lemosR64
 
 OPT	= -g
@@ -41,5 +36,5 @@
 
 clean:
-	rm *.o
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
@@ -52,6 +47,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: c/Makefile.ifort
===================================================================
--- src/Makefile.ifort	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ 	(revision )
@@ -1,61 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-#GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib1.12.3//include
-#GRIB_API_LIB=-openmp -L/usr/local/ifort/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-
-OPT	= -g
-DEBUG	= -g
-LIB     =  $(GRIB_API_LIBS) -lemosR64 -lgfortran
-
-FC=ifort -132  -traceback -r8
-F90C=ifort -132  -traceback -r8
-
-FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 -fopenmp phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 -fopenmp grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 -fopenmp ftrafo.f
-
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################
Index: src/Makefile.local.gfortran
===================================================================
--- src/Makefile.local.gfortran	(revision 27d9d3c1233ee7af17d6a215acfec31d5339d155)
+++ src/Makefile.local.gfortran	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
@@ -30,5 +30,5 @@
 BINDIR  =      .
 
-EXE	=      CONVERT2
+EXE	=     CONVERT2
 
 
@@ -38,8 +38,8 @@
 	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
 
-all:	${EXE}
+all:	$(EXE)
 
 clean:
-	rm *.o
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
@@ -52,6 +52,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: src/Makefile.local.ifort
===================================================================
--- src/Makefile.local.ifort	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ src/Makefile.local.ifort	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
@@ -12,6 +12,6 @@
 
 
-GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib_api-1.14.3//include
-GRIB_API_LIB=-openmp -L/usr/local/ifort/grib_api-1.14.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper #-lopenjpeg
+GRIB_API_INCLUDE_DIR=/home/srvx1/tmc/TestEnv/Libraries/grib_api-1.12.3_ifort/include
+GRIB_API_LIB=-openmp -L/home/srvx1/tmc/TestEnv/Libraries/grib_api-1.12.3_ifort/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
 
 OPT	= -g
@@ -19,6 +19,6 @@
 LIB     =  $(GRIB_API_LIB) -lemosR64 -lgfortran
 
-FC=ifort -132  -traceback -r8
-F90C=ifort -132  -traceback -r8
+FC=/opt/intel/bin/ifort -132  -traceback -r8
+F90C=/opt/intel/bin/ifort -132  -traceback -r8
 
 FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
@@ -40,5 +40,5 @@
 
 clean:
-	rm *.o
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
@@ -51,6 +51,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
